// Mapster32 tile grouping configuration file
// Press T on the tile selection screen to access the tileset selection menu

#include "names.h"

tilegroup "Switches"
{
	hotkey "S"
	
	tiles
	{	
	BL_EXIT
	SWITCH1
	SWITCH2
	SWITCH3
	SWITCH4
	SWITCH5
	SWITCH6
	BL_LIGHTSWITCH
	MULTISWITCH
	STEERING
	}
}

tilegroup "Enemies"
{
	hotkey "E"

	tiles 
	{	
	Axe_Zombie
	Hound
	BUTCHER
	Flesh_Gargoyle
	Flesh_Statue
	BL_Rat
	Eel 
	RED_SPIDER
	GREEN_SPIDER
	BATSLEEP
	Phantasm
	BAT
	BL_Hand
	MIME
	Cultist_w/Tommy
	Cultist_w/Shotgun
	HERETIC
	Earth_Zombie
	CIVILIAN
	CIVILIAN_STAND
	GillBeast 
	}
}

tilegroup "Props"
{
	hotkey "P"

	tiles 
	{
	CANNON1
	CANNON2
	SAW
	SMOKE1
	SMOKE2
	LAMP
	FLASHER
	WATERDRIP2
	WATERDRIP3
	HANGING_ZOMBIE
	FLAMETHROWER
	ZOMBIE_HEAD
	BL_FIRE1
	BL_FIRE2
	}
}

tilegroup "Items"
{
	hotkey "I"

	tiles
	{
	DOCTOR'S_BAG
	DIVING_SUIT
	CRYSTALL_BALL
	Boots_of_Jumping
	BEAST_VISION
	GUNS_AKIMBO
	PROXIMITY_DETONATOR
	REMOTE_DETONATOR
	BUNDLE_OF_TNT
	CASE_OF_TNT
	FLARES
	FLARE_PISTOL
	Sawed-off
	Box_of_shotgun_shells
	SHOTGUN_SHELLS
	TOMMY_GUN
	FULL_DRUM_OF_BULLETS
	A_FEW_BULLETS
	NAPALM_LAUNCHER
	GASOLINE_CAN
	SPRAY_CAN
	TESLA_CANNON
	TESLA_CHARGE
	LIFE_LEECH
	TRAPPED_SOUL
	VOODOO_DOLL
	LIFE_SEED
	MEDICINE_POUCH
	INVULNERABILITY
	BODY_ARMOR
	FIRE_ARMOR
	SPIRIT_ARMOR
	BASIC_ARMOR
	SUPER_ARMOR
	LIFE_ESSENCE
	SKULL_KEY
	EYE_KEY
	FIRE_KEY
	DAGGER_KEY
	SPIDER_KEY
	MOON_KEY
	REFLECTIVE_SHOOTS
	INVISIBILITY
	}
}

tilegroup "Triggers"
{
	hotkey "T"
	
	tilerange 1 10	

	tiles
	{
	TC_LOCKER
	MOVER_POINT
	MOVER
	TRIGGER
	TRIGGERSOUND
	TRIGGERQUOTE
	TIMEACTIVATOR
	TC_LIGHTING
	BL_QUAKE
	}
}

tilegroup "Letters and numbers"
{
	hotkey "L"
	
	tilerange 2822 2915
	tilerange 2929 3022
	tilerange 3072 3135
	tilerange 3162 3165
	tilerange 640 649
	tilerange 2472 2481
}

tilegroup "Exploding stuff"
{
	hotkey "X"

	tiles
	{
	CRACK1
	FIREEXT
	SEENINE
	TNT_Barrel
	}
}

// Alphabet configuration for text entry tool in 3D mode
// (press Ctrl-T on a wall-aligned letter)
// 32 alphabets max.

alphabet  // blue font
{
	maprange 33 126 STARTALPHANUM

	offseta "^" 0 2
	offseta "qQ;" 0 -1
}

alphabet
{
	maprange 33 126 MINIFONT
	maprangea "a" "z" 3104

//	offset "\\" 0 3 doesn't work
	offset 92 0 3
	offseta "qQ" 0 -1
	offseta ":" 0 1
	offseta "'\"" 0 3
}

alphabet  // red font
{
	maprangea "0" "9" 2930
	maprangea "A" "Z" BIGALPHANUM
	maprangea "a" "z" BIGALPHANUM
	mapa "-" 2929
	mapa ".,!?;:/%" 3002
	mapa "'" 3022
}

alphabet  // silver font
{
	maprangea "0" "9" 2992
	maprangea "A" "Z" 2966
	maprangea "a" "z" 2966
}

alphabet  // yellow numbers 3x5
{
	maprangea "0" "9" THREEBYFIVE
	mapa ":/" 3020
	offseta ":" 0 1
}

alphabet  // silver numbers
{
	maprangea "1" "9" W_NUMBERS
	mapa "0" 649
}

alphabet
{
	maprangea "0" "9" DIGITALNUM
}
